This discussion is archived
10 Replies Latest reply: Feb 14, 2013 2:28 PM by bdzevel RSS

[R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."

bdzevel Newbie
Currently Being Moderated
Hello,

I'm attempting to add a few languages to our EBS installation. Apparently, the first step is to apply patch 8576725 using autopatch (adpatch? this sh&# is confusing).

So, once I located adpatch, I logged in as applmgr, sourced the APPSPROD_***.env file, and ran adpatch. I receive the following error:
./adpatch: error while loading shared libraries: libclntsh.so.10.1: cannot open shared object file: No such file or directory
Any help in debugging this issue would be greatly appreciated.

Thanks.
  • 1. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    964530 wrote:
    Hello,

    I'm attempting to add a few languages to our EBS installation. Apparently, the first step is to apply patch 8576725 using autopatch (adpatch? this sh&# is confusing).

    So, once I located adpatch, I logged in as applmgr, sourced the APPSPROD_***.env file, and ran adpatch. I receive the following error:


    ./adpatch: error while loading shared libraries: libclntsh.so.10.1: cannot open shared object file: No such file or directory

    Any help in debugging this issue would be greatly appreciated.

    Thanks.
    Please see (adpatch: error while loading shared libraries: libclntsh.so.10.1: cannot open shared object file [ID 943005.1]).

    Thanks,
    Hussein
  • 2. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    bdzevel Newbie
    Currently Being Moderated
    That is the exact file that I ran.
    [applmgr@unix-oracle-vm bin]$ pwd
    /d01/oracle/PROD/apps/apps_st/appl/ad/12.0.0/bin
    [applmgr@unix-oracle-vm bin]$ cd ../../..
    [applmgr@unix-oracle-vm bin]$ ./APPSPROD_unix-oracle-vm.env
    [applmgr@unix-oracle-vm bin]$ cd ad/12.0.0/bin
    [applmgr@unix-oracle-vm bin]$ ./adpatch
    ./adpatch: error while loading shared libraries: libclntsh.so.10.1: cannot open shared object file: No such file or directory
    [applmgr@unix-oracle-vm bin]$
    (Note: I typed that stuff in because I'm in VMware and it won't let me copy/paste for some reason.)
  • 3. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    In this case, the error indicates that you have missing packages (or incorrect version). Please verify you have all the packages installed as per the installation doc of your OS.

    Interesting links around EBS Installation [ID 958644.1] -- Release 12.1.x Operating Systems Install & Upgrade Notes

    Does this issue happy with Patch 8576725 only? Have you applied any R12 patches using adpatch with no errors?

    Thanks,
    Hussein
  • 4. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    bdzevel Newbie
    Currently Being Moderated
    I've never used the patching utility before, however the EBS installation was working (running concurrent programs, etc)... if I had some missing packages, it seems to me that the installer would have never completed, or even if it did, we would have run into issues before. No?

    Do you know what libraries are needed for adpatch specifically? I don't want to start installing random libraries from that list.. I know that the end result of this methodology would be that our installation will break.

    Perhaps it would be easier to start a brand new installation... Is there an installer that includes several languages by default? To be perfectly honest, I'm trying to test certain functionality regarding multiple language support and I don't particularly care what languages are included.

    Is there a way to add languages during the installation?

    ... or maybe this patch isn't absolutely necessary when installing languages?

    (AKA, ANYTHING but looking for those damn libraries... I've had enough of that! :) )
  • 5. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    964530 wrote:
    I've never used the patching utility before, however the EBS installation was working (running concurrent programs, etc)... if I had some missing packages, it seems to me that the installer would have never completed, or even if it did, we would have run into issues before. No?

    Do you know what libraries are needed for adpatch specifically? I don't want to start installing random libraries from that list.. I know that the end result of this methodology would be that our installation will break.
    The installer would work if some of the packages are missing and you will encounter issues when you run concurrent programs or run AD utilities.

    The packages I was referrin to are mentioned in these docs (some for 12.0.x versions but you need to get the exact version from 12.1.x installation doc for the same packages).

    Installing R12.0.4 Ebuisines Suite Autoconfig Fails With: sqlplus: error while loading shared libraries: libclntsh.so.10.1: cannot open shared object file: No such file or directory [ID 579254.1]
    Cloning EBS from Linux 4 to Linux 5 Fails: "Error While Loading Shared Libraries: libclntsh.so.10.1" [ID 736410.1]
    Perhaps it would be easier to start a brand new installation... Is there an installer that includes several languages by default? To be perfectly honest, I'm trying to test certain functionality regarding multiple language support and I don't particularly care what languages are included.

    Is there a way to add languages during the installation?
    No, you have to add them later.

    Requesting Translation Synchronization Patches [ID 252422.1]
    How To Get The Guidelines To Install or Add the new NLS Language on E-Business Suite 11i or R12 ? [ID 1254325.1]
    Oracle Applications NLS Release Notes, Release 12.1 [ID 788053.1]
    ... or maybe this patch isn't absolutely necessary when installing languages?

    (AKA, ANYTHING but looking for those damn libraries... I've had enough of that! :) )
    It is recommended -- This patch includes updates to NLS Installation and Admerge performance enhancements.

    Thanks,
    Hussein
  • 6. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    Haafiz Explorer
    Currently Being Moderated
    Hi,

    install vmware tools on guest machine then u will b able to copy and paste

    Regards
    Haafiz
  • 7. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    bdzevel Newbie
    Currently Being Moderated
    1) I did install VMWare tools, but for whatever reason it still didn't let me copy paste. I didn't want to reboot the machine though, so that may be why.

    2) I will look at those MOS articles. Thanks, Hussein. I'll post an update when I'm done.
  • 8. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    bdzevel wrote:
    1) I did install VMWare tools, but for whatever reason it still didn't let me copy paste. I didn't want to reboot the machine though, so that may be why.
    Please see this link.

    Cutting, Copying and Pasting Text
    http://www.vmware.com/support/ws5/doc/ws_running_cutnpaste.html
    2) I will look at those MOS articles. Thanks, Hussein. I'll post an update when I'm done.
    OK.

    Thanks,
    Hussein
  • 9. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    bdzevel Newbie
    Currently Being Moderated
    Sorry I didn't mean to make that vmware thing a big deal, I was just responding.



    No update yet, I went to install the glibc packages, and they conflicted with other (newer) glibc packages that I had installed. Uninstalling them would be impossible because everything f'ing depends on them, so I'm creating a server from scratch. I don't want to mess around with that original server too much since we use it for testing, and there is a possibility of breaking it.

    So that's where I'm at with that right now. I'll let you know when I'm done.
  • 10. Re: [R12.1.1] adpatch fails with "...libclntsh.so.10.1 cannot open..."
    bdzevel Newbie
    Currently Being Moderated
    OK, so I re-installed EBS (finally). I had an SR open for this due to an error I was seeing, and the support rep told me I DIDN'T, in fact, need the EXACT package versions (they're impossible to find, anyway). He indicated that the install guide lists the baseline packages.

    I have glibc-devel installed, version 2.5-49, both 32 and 64 bit, and I'm seeing that same libclntsh.so.10.1 error on my brand new, freshly installed EBS instance.

    EDIT: Nevermind, I think... this issue seems much deeper than that. I tried editting adrelinknew.sh as part of the installation guide, but the line it said to edit was totally different. I tried running adadmin, but "APPL_TOP is not set..." even after I ran APPSVIS_OracleEbs.env (I had to chmod +x that file to be able to run it as applmgr, though). I also tried doing a find / | grep <libname> and creating a symbolic link to libclntsh.so.10.1 in /usr/lib, which worked to get rid of the libclntsh.so.10.1 error, but then i got another error with another library which i also linked, and then i got this APPL_TOP error on adpatch. Again, I DID run APPSVIS_OracleEbs.env, and it didn't seem to throw any errors or anything...

    Edited by: bdzevel on Feb 14, 2013 2:25 PM

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points